#!/bin/sh

mkdir -p /data/quickpost/tmp
mkdir -p /config
mkdir -p /binary
mkdir -p /default
chown -R root:root *
chmod a+x binary/quickpost.elf
chmod a+x etc/init.d/S95quickpost
chmod a+x var/www/cgi-bin/*
chmod a+rw config/*
cp binary/quickpost.elf /binary
cp binary/quickpost_version.txt /binary
cp config/quickpost_default.ini /config
cp config/quickpost_default.ini /default
cp -a etc  /
cp -a var/www/*  /var/www/
chown -R root:root /data
touch /data/quickpost/quickpost_log.txt
if [ ! -f /config/quickpost.ini ]
then
  cp /config/quickpost_default.ini /config/quickpost.ini
fi
var=$(grep "QuickPost" /var/www/menu.html)
if [ -z "$var" ]; then
   #echo "Adding QuickPost to menu"
   sed -i 's/PIIGAB_EXTRA_PROGRAMS-->/PIIGAB_EXTRA_PROGRAMS-->\n<li>\n<a target=\"mainframe\" title=\"QuickPost\" href=\"\/cgi-bin\/quickpost.py\">QuickPost<\/a>\n<\/li>\n/g' /var/www/menu.html
fi
sync
