#!/usr/bin/python
# -*- coding: utf-8 -*-

import os, sys, cgi, time, glob, string
if (int(sys.version[0])==3):
    import configparser
else:
    import ConfigParser as configparser

form = cgi.FieldStorage()
#GET HTTP PARAMETER
def getParameter( name ):
    if name in form:
        return form[name].value
    return ""

conf = configparser.RawConfigParser()
conf.read('/config/quickpost.ini')
dconf = configparser.RawConfigParser()
dconf.read('/config/quickpost_default.ini')


def getopt(cport,opt):
    retval=''
    try:
        retval=conf.get(cport,opt)
        if retval=='':
            retval=dconf.get(cport,opt)
    except:
        retval=dconf.get(cport,opt)
    return retval

csvArray=glob.glob("/config/*.[cC][sS][vV]")
for i in range(len(csvArray)):
    csvArray[i] = csvArray[i][8:] #Error when doing strip("/config/")

qpversion=""
try:
    mbv=os.popen("/binary/quickpost.elf -v")
    qpversion=mbv.read()
    mbv.close()
except:
    pass

filename       = getopt('Main','FILENAME')              
remote_url     = getopt('Main','REMOTE_URL')              
mbus_ascii_server_ip = getopt('Main','MBUS_ASCII_SERVER_IP')
mbus_ascii_server_port = getopt('Main','MBUS_ASCII_SERVER_PORT')
read_timeout   = getopt('Main','READ_TIMEOUT')
n_bad_reads    = getopt('Main','N_BAD_READS')
csvfile        = getopt('Main','CSVFILE')
upload_method  = getopt('Main','UPLOAD_METHOD')
upload_time    = getopt('Main','UPLOAD_TIME')
upload_period  = getopt('Main','UPLOAD_PERIOD')
read_period    = getopt('Main','READ_PERIOD')
read_offset    = getopt('Main','READ_OFFSET')
username       = getopt('Main','USERNAME')
password       = getopt('Main','PASSWORD')
file_keep_days = getopt('Main','FILE_KEEP_DAYS')
file_format    = getopt('Main','FILE_FORMAT')
enable         = getopt('Main','ENABLE')
startup_read_and_upload = getopt('Main','STARTUP_READ_AND_UPLOAD')


#UPDATE PAGE
"""if update == "TRUE":
    print "\n<HTML>
                    <HEAD>
                        <meta http-equiv=\"refresh\" content=\"0;url=/cgi-bin/quickpost.py\">
                    </HEAD>
               </HTML>\n"
    sys.exit(0)"""

import tenjin
from tenjin.helpers import *
tenjin.Engine.cache = tenjin.MemoryCacheStorage()
engine = tenjin.Engine()
print(engine.render('templates/quickpost.pyhtml'))

